com.mapinfo.midev.feature

## Interface IGeometryAttributeDefinition

All Superinterfaces:
  IAttributeDefinition, Serializable

    public interface IGeometryAttributeDefinition
    extends IAttributeDefinition

Describes an attribute of a feature that contains feature geometry values. Geometry attributes have additional properties such as a coordinate system, and optional default style, and an optional default style attribute association.

Attribute definitions that implement this interface have a data type of `AttributeType.FEATURE_GEOMETRY`.

### Method Summary

All Methods Instance Methods Abstract Methods
`IStyle` `getDefaultStyle()` The default style to use for displaying feature geometries if no other style is available.
`String` `getDefaultStyleAttribute()` The name of the attribute that is of type `AttributeType.STYLE` that should be associated with this geometry attribute when displaying the feature geometry values.
`SpatialInfo` `getSpatialInfo()` Returns the spatial metadata used to persist feature geometry instances stored in a feature as a value for this attribute.

### Methods inherited from interface com.mapinfo.midev.feature.IAttributeDefinition

`getDataSourceAttributeMetadata, getDataType, getDecimals, getName, getWidth, isNullable, isReadOnly, isUnique`

### Method Detail

#### getSpatialInfo

    SpatialInfo getSpatialInfo()

Returns the spatial metadata used to persist feature geometry instances stored in a feature as a value for this attribute.

A feature geometry may be supplied as a value to a feature in terms of a different coordinate system or with different tolerances or dimensionality and may, or may not, be maintained in the original coordinate system inside the feature until the feature is inserted into or used to update a persistent feature in a feature collection (or data store). At the time of persistence, the feature geometry will be converted to reflect this spatial metadata (if not already done).

Returns:
  the spatial metadata used to persist feature geometries in this attribute of a feature.

#### getDefaultStyle

    IStyle getDefaultStyle()

The default style to use for displaying feature geometries if no other style is available. This property is optional and may return `null`.

Returns:
  An `IStyle` instance. This property is optional and may return `null`.

#### getDefaultStyleAttribute

    String getDefaultStyleAttribute()

The name of the attribute that is of type `AttributeType.STYLE` that should be associated with this geometry attribute when displaying the feature geometry values. This property is optional and may return `null`.

Returns:
  The name of the style attribute or `null`.